"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _default = configContext => {
  const {
    React
  } = configContext.lib;
  const {
    Col,
    Cols,
    Panel,
    Row
  } = configContext.layoutComponents;
  const {
    Field
  } = configContext.recordComponents; // TODO: This form does not contain some extension fields, because they are interleaved with
  // common fields in the "Claim Information" panel. These fields shoud be moved into the common
  // schema, so that this extension only contains fields that can be rendered together. The
  // following extension fields are not included in this form, and must be added individually
  // using <Field> tags in the form that uses this extension:
  // nagpraClaimName, nagpraClaimTypes, nagpraClaimAltNameGroupList, nagpraClaimNotes

  return React.createElement("div", null, React.createElement(Panel, {
    name: "nagpraClaimContext",
    collapsible: true,
    collapsed: true
  }, React.createElement(Cols, null, React.createElement(Col, null, React.createElement(Field, {
    name: "nagpraClaimSiteGroupList",
    subpath: "ns2:claims_nagpra"
  }, React.createElement(Field, {
    name: "nagpraClaimSiteGroup"
  }, React.createElement(Field, {
    name: "nagpraClaimSiteName"
  }), React.createElement(Field, {
    name: "nagpraClaimSiteNote"
  }))), React.createElement(Field, {
    name: "nagpraClaimGroupGroupList",
    subpath: "ns2:claims_nagpra"
  }, React.createElement(Field, {
    name: "nagpraClaimGroupGroup"
  }, React.createElement(Field, {
    name: "nagpraClaimGroupName"
  }), React.createElement(Field, {
    name: "nagpraClaimGroupNote"
  })))), React.createElement(Col, null, React.createElement(Field, {
    name: "nagpraClaimPeriodGroupList",
    subpath: "ns2:claims_nagpra"
  }, React.createElement(Field, {
    name: "nagpraClaimPeriodGroup"
  }, React.createElement(Field, {
    name: "nagpraClaimPeriodDateGroup"
  }), React.createElement(Field, {
    name: "nagpraClaimPeriodNote"
  })))))), React.createElement(Panel, {
    name: "nagpraClaimProcessing",
    collapsible: true,
    collapsed: true
  }, React.createElement(Cols, null, React.createElement(Col, null, React.createElement(Field, {
    name: "nagpraClaimInitialResponseGroupList",
    subpath: "ns2:claims_nagpra"
  }, React.createElement(Field, {
    name: "nagpraClaimInitialResponseGroup"
  }, React.createElement(Field, {
    name: "nagpraClaimInitialResponseDate"
  }), React.createElement(Field, {
    name: "nagpraClaimInitialResponseNote"
  }))), React.createElement(Field, {
    name: "nagpraClaimSentToLocalGroupList",
    subpath: "ns2:claims_nagpra"
  }, React.createElement(Field, {
    name: "nagpraClaimSentToLocalGroup"
  }, React.createElement(Field, {
    name: "nagpraClaimSentToLocalDate"
  }), React.createElement(Field, {
    name: "nagpraClaimSentToLocalNote"
  }))), React.createElement(Field, {
    name: "nagpraClaimLocalRecGroupList",
    subpath: "ns2:claims_nagpra"
  }, React.createElement(Field, {
    name: "nagpraClaimLocalRecGroup"
  }, React.createElement(Field, {
    name: "nagpraClaimLocalRecDate"
  }), React.createElement(Field, {
    name: "nagpraClaimLocalRecNote"
  }))), React.createElement(Field, {
    name: "nagpraClaimSentToNatlGroupList",
    subpath: "ns2:claims_nagpra"
  }, React.createElement(Field, {
    name: "nagpraClaimSentToNatlGroup"
  }, React.createElement(Field, {
    name: "nagpraClaimSentToNatlDate"
  }), React.createElement(Field, {
    name: "nagpraClaimSentToNatlNote"
  }))), React.createElement(Field, {
    name: "nagpraClaimNatlRespGroupList",
    subpath: "ns2:claims_nagpra"
  }, React.createElement(Field, {
    name: "nagpraClaimNatlRespGroup"
  }, React.createElement(Field, {
    name: "nagpraClaimNatlRespDate"
  }), React.createElement(Field, {
    name: "nagpraClaimNatlRespNote"
  }))), React.createElement(Field, {
    name: "nagpraClaimNatlApprovalGroupList",
    subpath: "ns2:claims_nagpra"
  }, React.createElement(Field, {
    name: "nagpraClaimNatlApprovalGroup"
  }, React.createElement(Field, {
    name: "nagpraClaimNatlApprovalDate"
  }), React.createElement(Field, {
    name: "nagpraClaimNatlApprovalNote"
  }))), React.createElement(Field, {
    name: "nagpraClaimNoticeGroupList",
    subpath: "ns2:claims_nagpra"
  }, React.createElement(Field, {
    name: "nagpraClaimNoticeGroup"
  }, React.createElement(Field, {
    name: "nagpraClaimNoticeDate"
  }), React.createElement(Field, {
    name: "nagpraClaimNoticeDateType"
  }), React.createElement(Field, {
    name: "nagpraClaimNoticeNote"
  }))), React.createElement(Field, {
    name: "nagpraClaimTransferGroupList",
    subpath: "ns2:claims_nagpra"
  }, React.createElement(Field, {
    name: "nagpraClaimTransferGroup"
  }, React.createElement(Field, {
    name: "nagpraClaimTransferDate"
  }), React.createElement(Field, {
    name: "nagpraClaimTransferNote"
  })))), React.createElement(Panel, {
    name: "nagpraClaimTasks"
  }, React.createElement(Row, null, React.createElement(Field, {
    name: "dispositionPossibilitiesDiscussed",
    subpath: "ns2:claims_nagpra"
  }), React.createElement(Field, {
    name: "dispositionPossibilitiesDiscussedNote",
    subpath: "ns2:claims_nagpra"
  })), React.createElement(Row, null, React.createElement(Field, {
    name: "surroundingTribesContacted",
    subpath: "ns2:claims_nagpra"
  }), React.createElement(Field, {
    name: "surroundingTribesContactedNote",
    subpath: "ns2:claims_nagpra"
  })), React.createElement(Row, null, React.createElement(Field, {
    name: "workingTeamNotified",
    subpath: "ns2:claims_nagpra"
  }), React.createElement(Field, {
    name: "workingTeamNotifiedNote",
    subpath: "ns2:claims_nagpra"
  })), React.createElement(Row, null, React.createElement(Field, {
    name: "siteFileResearchCompleted",
    subpath: "ns2:claims_nagpra"
  }), React.createElement(Field, {
    name: "siteFileResearchCompletedNote",
    subpath: "ns2:claims_nagpra"
  })), React.createElement(Row, null, React.createElement(Field, {
    name: "accessionFileResearchCompleted",
    subpath: "ns2:claims_nagpra"
  }), React.createElement(Field, {
    name: "accessionFileResearchCompletedNote",
    subpath: "ns2:claims_nagpra"
  })), React.createElement(Row, null, React.createElement(Field, {
    name: "objectsLocatedAndCounted",
    subpath: "ns2:claims_nagpra"
  }), React.createElement(Field, {
    name: "objectsLocatedAndCountedNote",
    subpath: "ns2:claims_nagpra"
  })), React.createElement(Row, null, React.createElement(Field, {
    name: "objectsConsolidated",
    subpath: "ns2:claims_nagpra"
  }), React.createElement(Field, {
    name: "objectsConsolidatedNote",
    subpath: "ns2:claims_nagpra"
  })), React.createElement(Row, null, React.createElement(Field, {
    name: "objectsPhotographed",
    subpath: "ns2:claims_nagpra"
  }), React.createElement(Field, {
    name: "objectsPhotographedNote",
    subpath: "ns2:claims_nagpra"
  })), React.createElement(Row, null, React.createElement(Field, {
    name: "registrationDocumentsDrafted",
    subpath: "ns2:claims_nagpra"
  }), React.createElement(Field, {
    name: "registrationDocumentsDraftedNote",
    subpath: "ns2:claims_nagpra"
  })), React.createElement(Row, null, React.createElement(Field, {
    name: "tribeContactedForPackingPreferences",
    subpath: "ns2:claims_nagpra"
  }), React.createElement(Field, {
    name: "tribeContactedForPackingPreferencesNote",
    subpath: "ns2:claims_nagpra"
  })), React.createElement(Row, null, React.createElement(Field, {
    name: "dateArrangedForTransfer",
    subpath: "ns2:claims_nagpra"
  }), React.createElement(Field, {
    name: "dateArrangedForTransferNote",
    subpath: "ns2:claims_nagpra"
  })), React.createElement(Row, null, React.createElement(Field, {
    name: "objectsMarkedAsDeaccessioned",
    subpath: "ns2:claims_nagpra"
  }), React.createElement(Field, {
    name: "objectsMarkedAsDeaccessionedNote",
    subpath: "ns2:claims_nagpra"
  })), React.createElement(Row, null, React.createElement(Field, {
    name: "documentsArchived",
    subpath: "ns2:claims_nagpra"
  }), React.createElement(Field, {
    name: "documentsArchivedNote",
    subpath: "ns2:claims_nagpra"
  }))))));
};

exports.default = _default;